Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdNtClientsList Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | AddClient ([in] IRdNtClientInfo *pRdNtClientInfo)
HRESULT | RemoveClient ([in] RtCSNID csnidClient)
HRESULT | GetClientInfo ([in] RtCSNID csnidClient,[out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | GetNumClients ([out, retval] RtDWORD *pdwNumClients)
HRESULT | GetClientInfoByIndex ([in] RtDWORD dwIndex,[out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | GetFirstClient ([out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | GetNextClient ([out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | ServerName ([out, retval] BSTR *pbstrName)
HRESULT | ServerName ([in] BSTR bstrName)

## Detailed Description

Object holds information about all logged clients. It is automatically generated by client object and stored in LoggedIn connector. You can find the object in /Network space after you enter into a Shared Space. For more info look at IRiNetwork::NtConnectTo.

## Member Function Documentation

HRESULT IRdNtClientsList::Clear | ( | void |  | ) |

| Call to erase all records.

HRESULT IRdNtClientsList::AddClient | ( | [in] IRdNtClientInfo * | pRdNtClientInfo | ) |

  | Add client to list. If it already exist, the old one will be replaced. Parameters:
  pRdNtClientInfo | - Client's info data object. See IRdNtClientInfo.

HRESULT IRdNtClientsList::RemoveClient | ( | [in] RtCSNID | csnidClient | ) |

  | Remove client's info by client session ID. Parameters:
  csnidClient | - Client's session identification.

HRESULT IRdNtClientsList::GetClientInfo | ( | [in] RtCSNID | csnidClient,
|  | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo
| ) |

  | Find client's info by client session ID. Parameters:
  csnidClient | - Client's session identification.
  ppRdNtClientInfo | - If successful, then returns client's info. See IRdNtClientInfo.

HRESULT IRdNtClientsList::GetNumClients | ( | [out, retval] RtDWORD * | pdwNumClients | ) |

  | Retrieve number of records. Parameters:
  pdwNumClients | - Returns number of records.

HRESULT IRdNtClientsList::GetClientInfoByIndex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo
| ) |

  | Get client's info by index. Parameters:
  dwIndex | - record index
  ppRdNtClientInfo | - If successful, then returns client's info. See IRdNtClientInfo.
Example: The code below enumerates IRdNtClientsList object with GetNumClients and GetClientInfoByIndex methods.
        nNumClients = RdNtClientsList.GetNumClients;
     for (i = 0; i < nNumClients; i++)
        {
            RdNtClientInfo = GetClientInfoByIndex(i);

            bstrClientName = RdNtClientInfo.Name();
      System.Trace(bstrClientName);
        }
See also: GetFirstClient

HRESULT IRdNtClientsList::GetFirstClient | ( | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo | ) |

  | Get first list's record. Parameters:
  ppRdNtClientInfo | - If successful, then returns client's info. See IRdNtClientInfo.
Example: The code below enumerates IRdNtClientsList object with GetFirstClient and GetNextClient methods.
            for (RdNtClientInfo = RdNtClientsList.GetFirstClient();
                 RdNtClientInfo != null;
                 RdNtClientInfo = RdNtClientsList.GetNextClient())
            {
                bstrClientName = RdNtClientInfo.Name();
                System.Trace(bstrClientName);
            }
See also: GetClientInfoByIndex

HRESULT IRdNtClientsList::GetNextClient | ( | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo | ) |

  | Get next list's record. Parameters:
  ppRdNtClientInfo | - If successful, then returns client's info. See IRdNtClientInfo.
See also: GetFirstClient GetClientInfoByIndex

HRESULT IRdNtClientsList::ServerName | ( | [out, retval] BSTR * | pbstrName | ) |

  | Use this property to read server's name. Parameters:
  pbstrName | - returns server's name

HRESULT IRdNtClientsList::ServerName | ( | [in] BSTR | bstrName | ) |

  | Use this property to set server's name. Parameters:
  bstrName | - server's name